Bug 1055051 - things like ' dnf install "kernel-devel-uname-r = 3.12.8-300.fc20.x86_64" ' don't work
things like ' dnf install "kernel-devel-uname-r = 3.12.8-300.fc20.x86_64" ' d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-18 06:45 EST by Thorsten Leemhuis
Modified: 2014-09-30 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-0.4.13-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-08 22:54:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2014-01-18 06:45:41 EST
Description of problem:
The afaics only reliable way to get the kernel-devel package for the kernel variant (stock, PAE, debug, ...) you are running is a command like this:

 yum install "kernel-devel-uname-r = $(uname -r)"

But that does not work with dnf:

"""
[thl@thl-t420 ~]$ LC_ALL=C sudo dnf install "kernel-devel-uname-r = 3.12.8-300.fc20.x86_64"
No package kernel-devel-uname-r = 3.12.8-300.fc20.x86_64 available.
Error: Nothing to do.
[thl@thl-t420 ~]$ LC_ALL=C sudo yum install "kernel-devel-uname-r = 3.12.8-300.fc20.x86_64"
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package kernel-devel.x86_64 0:3.12.8-300.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================
 Package        Arch     Version              Repository         Size
======================================================================
Installing:
 kernel-devel   x86_64   3.12.8-300.fc20      updates-testing   8.5 M

Transaction Summary
======================================================================
Install  1 Package

Total download size: 8.5 M
Installed size: 32 M
Is this ok [y/d/N]: n
Exiting on user command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2014-01-18.12-44.LtIaEC.yumtx
[thl@thl-t420 ~]$ 
"""

Version-Release number of selected component (if applicable):
dnf-0.4.11-1.fc20.noarch

Additional Info:
Quote from a earlier IRC-Discussion in #yum:
"""
(13:51:50) knurd: is it a known #dnf limitation that ' dnf install "kernel-devel-uname-r = 3.12.6-300.fc20.x86_64" ' doesn't work (in F20; yes, dnf can see that package), or is that worth reporting a bug?
(13:53:18) knurd: s/reopening/opening/ 
(14:01:59) akozumpl: knurd: that should work, open a bug and we will take a look
(16:05:43) geppetto: Pretty sure knurd's problem is that dnf doesn't parse "dnf update foo=bah"
(16:09:03) geppetto: Dito. install
"""
Comment 1 Ales Kozumplik 2014-01-20 04:04:07 EST
As discussed, this is a real bug/missing function. People jut don't use this functionality often enough for us to find out earlier. We will fix this.
Comment 2 Ales Kozumplik 2014-01-30 09:59:14 EST
Fixed upstream by 7613c16.
Comment 3 Fedora Update System 2014-02-07 01:44:02 EST
dnf-0.4.13-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.13-2.fc20
Comment 4 Fedora Update System 2014-02-08 00:07:56 EST
Package dnf-0.4.13-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.13-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2172/dnf-0.4.13-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-02-08 22:54:35 EST
dnf-0.4.13-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.